
From: Jeff Dike <jdike@addtoit.com>

Provide definitions of __initcall, __exitcall, and __init_call for userspace
code.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/include/init.h |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN arch/um/include/init.h~uml-provide-some-initcall-definitions-for-userspace-code arch/um/include/init.h
--- 25/arch/um/include/init.h~uml-provide-some-initcall-definitions-for-userspace-code	2005-01-16 23:25:53.031832344 -0800
+++ 25-akpm/arch/um/include/init.h	2005-01-16 23:25:53.034831888 -0800
@@ -109,6 +109,15 @@ extern struct uml_param __uml_setup_star
 #define __uml_postsetup_call	__attribute_used__ __attribute__ ((__section__ (".uml.postsetup.init")))
 #define __uml_exit_call		__attribute_used__ __attribute__ ((__section__ (".uml.exitcall.exit")))
 
+#ifndef __KERNEL__
+
+#define __initcall(fn) static initcall_t __initcall_##fn __init_call = fn
+#define __exitcall(fn) static exitcall_t __exitcall_##fn __exit_call = fn
+
+#define __init_call __attribute__ ((unused,__section__ (".initcall.init")))
+
+#endif
+
 #endif /* _LINUX_UML_INIT_H */
 
 /*
_
